Subject: Re: bug#19197: 25.0.50; vc.el with RCS: `vc-master-name' returns nil where it shouldn't

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 16:06:01 +0200

Simon Leinen <[email-masked]> writes:

> When I start ./src/emacs -Q freshly compiled from the Git source (with
> the vc-filewise autoload patches included in my last report) and try to
> open a file under RCS, I get an error
>
>   Wrong type argument: stringp, nil
>
> with a backtrace such as this:
>
> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>   file-exists-p(nil)
>   vc-insert-file(nil "^[0-9]")

Looks like the patch was applied at the time, but I guess closing the
bug report was forgotten, so I'm doing that now.

commit 4e0f8f7b2da47a59da317ebcc5c85ef9d3ee3b68
Author: Simon Leinen <[email-masked]>
Date:   Wed Nov 26 13:22:35 2014 -0500

    Fix for vc-filewise.el unresolved-call glitch.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no